Package org.apache.storm.generated

## Class Nimbus.AsyncProcessor<I extends Nimbus.AsyncIface>

- java.lang.Object
- - org.apache.storm.thrift.TBaseAsyncProcessor<I>
  - - org.apache.storm.generated.Nimbus.AsyncProcessor<I>

- All Implemented Interfaces:
    `org.apache.storm.thrift.TAsyncProcessor`, `org.apache.storm.thrift.TProcessor`
  Enclosing class:
    Nimbus

      public static class Nimbus.AsyncProcessor<I extends Nimbus.AsyncIface>
      extends org.apache.storm.thrift.TBaseAsyncProcessor<I>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Nimbus.AsyncProcessor.activate<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.beginBlobDownload<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.beginCreateBlob<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.beginFileUpload<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.beginUpdateBlob<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.cancelBlobUpload<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.createStateInZookeeper<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.deactivate<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.debug<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.deleteBlob<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.downloadBlobChunk<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.downloadChunk<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.finishBlobUpload<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.finishFileUpload<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getBlobMeta<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getBlobReplication<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getClusterInfo<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getComponentPageInfo<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getComponentPendingProfileActions<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getLeader<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getLogConfig<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getNimbusConf<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getOwnerResourceSummaries<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getSupervisorAssignments<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getSupervisorPageInfo<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopology<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologyConf<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologyHistory<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologyInfo<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologyInfoByName<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologyInfoByNameWithOpts<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologyInfoWithOpts<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologyPageInfo<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologySummaries<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologySummary<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getTopologySummaryByName<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.getUserTopology<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.isRemoteBlobExists<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.isTopologyNameAllowed<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.killTopology<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.killTopologyWithOpts<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.listBlobs<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.processWorkerMetrics<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.rebalance<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.sendSupervisorWorkerHeartbeat<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.sendSupervisorWorkerHeartbeats<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.setBlobMeta<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.setLogConfig<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.setWorkerProfiler<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.submitTopology<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.submitTopologyWithOpts<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.updateBlobReplication<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.uploadBlobChunk<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.uploadChunk<I extends Nimbus.AsyncIface>` |
    `static class` | `Nimbus.AsyncProcessor.uploadNewCredentials<I extends Nimbus.AsyncIface>` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.TBaseAsyncProcessor

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `AsyncProcessor​(I iface)` |
    `protected` | `AsyncProcessor​(I iface, Map<String,​org.apache.storm.thrift.AsyncProcessFunction<I,​? extends org.apache.storm.thrift.TBase,​?>> processMap)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.storm.thrift.TBaseAsyncProcessor

      `getProcessMapView, process, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncProcessor

          public AsyncProcessor​(I iface)

    - #### AsyncProcessor

          protected AsyncProcessor​(I iface,
                                   Map<String,​org.apache.storm.thrift.AsyncProcessFunction<I,​? extends org.apache.storm.thrift.TBase,​?>> processMap)